<?php
require('mysqli_connect.php'); // include database connection

// Retrieve and sanitize form inputs
$fname = $_POST['fname'];
$lname = $_POST['lname'];
$email = $_POST['email'];
$donation_type = $_POST['donation_type'];
$value = $_POST['value'];
$date = $_POST['date'];
$comments = $_POST['comments'];

// Prepare SQL insert query
$query = "INSERT INTO donation (fname, lname, email, donation_type, value, date, comments)
          VALUES (?, ?, ?, ?, ?, ?, ?)";

// Prepare and bind values to query
$stmt = mysqli_prepare($dbc, $query);
mysqli_stmt_bind_param($stmt, "sssssss", $fname, $lname, $email, $donation_type, $value, $date, $comments);

// Execute the query
if (mysqli_stmt_execute($stmt)) {
    echo "<h3>Thank you, $fname! 🎉</h3>";
    echo "<p>Your donation has been recorded successfully.</p>";
} else {
    echo "<p>Error: " . mysqli_error($dbc) . "</p>";
}

// Close connections
mysqli_stmt_close($stmt);
mysqli_close($dbc);
?>
